summaryrefslogtreecommitdiff
path: root/pm/sleep.d/01grub
diff options
context:
space:
mode:
Diffstat (limited to 'pm/sleep.d/01grub')
-rw-r--r--pm/sleep.d/01grub4
1 files changed, 2 insertions, 2 deletions
diff --git a/pm/sleep.d/01grub b/pm/sleep.d/01grub
index 0dac5a1..4500c39 100644
--- a/pm/sleep.d/01grub
+++ b/pm/sleep.d/01grub
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
default_resume_kernel()
{
@@ -10,7 +10,7 @@ default_resume_kernel()
esac
[ -x /sbin/grubby -a -x /sbin/grub ] || return 1
- [ -e /boot/vmlinuz-$(uname -r) ] || return 1
+ [ -e "/boot/vmlinuz-$(uname -r)" ] || return 1
out=$(/sbin/grubby --info /boot/vmlinuz-$(uname -r) |grep index)
[ -n "${out}" ] || return 1